<?php if ( ! defined('WOODMART_THEME_DIR')) exit('No direct script access allowed');

/**
 * ------------------------------------------------------------------------------------------------
 * Default options array
 * ------------------------------------------------------------------------------------------------
 */

return apply_filters( 'woodmart_get_base_options', array(
	'main_layout' => 'full-width',
	'page-title-size' => 'small',
	'sidebar_width' => 3,
	'blog_sidebar_width' => 3,
	'footer-layout' => 13,
	'disable_footer' => true,
	'disable_copyrights' => true,
	'copyrights-layout' => 'centered',
	'copyrights' => '<small><a href="http://woodmart.xtemos.com"><strong>WOODMART</strong></a> <i class="fa fa-copyright"></i>  ' . date( 'Y' ) . ' CREATED BY <a href="http://xtemos.com"><strong><span style="color: red; font-size: 12px;">X</span>-TEMOS STUDIO</strong></a>. PREMIUM E-COMMERCE SOLUTIONS.</small>',
	'blog_excerpt' => 'excerpt',
	'page-title-design' => 'centered',
	'page-title-color' => 'light',
	'custom_css' => '.page-title-default { background-color: #0a0a0a; }',
	'page_comments' => true,
	'shop_view' => 'grid',
	'products_columns' => 3,
	'products_columns_mobile' => 2,
	'thums_position' => 'bottom',
	'product_short_description' => true,
	'product_tabs_layout' => 'tabs',
	'related_products' => true,
	'hover_image' => true,
	'products_hover' => 'base',
	'blog_design' => 'default',
	'primary-color' => '#83B735',
	'secondary-color' => '#FBBC34',
) );

$woodmart_core_translations = array(
	esc_html__( 'You are now logged in as <strong>%s</strong>', 'woodmart' ),
	esc_html__( 'Slider', 'woodmart' ),
	esc_html__( 'Slide', 'woodmart' ),
	esc_html__( 'Slides', 'woodmart' ),
	esc_html__( 'Parent Item:', 'woodmart' ),
	esc_html__( 'All Items', 'woodmart' ),
	esc_html__( 'View Item', 'woodmart' ),
	esc_html__( 'Add New Item', 'woodmart' ),
	esc_html__( 'Add New', 'woodmart' ),
	esc_html__( 'Edit Item', 'woodmart' ),
	esc_html__( 'Update Item', 'woodmart' ),
	esc_html__( 'Search Item', 'woodmart' ),
	esc_html__( 'Not found', 'woodmart' ),
	esc_html__( 'Not found in Trash', 'woodmart' ),
	esc_html__( 'Sliders', 'woodmart' ),
	esc_html__( 'Slider', 'woodmart' ),
	esc_html__( 'Search Sliders', 'woodmart' ),
	esc_html__( 'Popular Sliders', 'woodmart' ),
	esc_html__( 'All Sliders', 'woodmart' ),
	esc_html__( 'Parent Slider', 'woodmart' ),
	esc_html__( 'Parent Slider', 'woodmart' ),
	esc_html__( 'Edit Slider', 'woodmart' ),
	esc_html__( 'Update Slider', 'woodmart' ),
	esc_html__( 'Add New Slider', 'woodmart' ),
	esc_html__( 'New Slide', 'woodmart' ),
	esc_html__( 'Add or remove Sliders', 'woodmart' ),
	esc_html__( 'Choose from most used sliders', 'woodmart' ),
	esc_html__( 'Slider', 'woodmart' ),
	esc_html__( 'Size guides', 'woodmart' ),
	esc_html__( 'Size guide', 'woodmart' ),
	esc_html__( 'Size guides', 'woodmart' ),
	esc_html__( 'Add new', 'woodmart' ),
	esc_html__( 'Add new size guide', 'woodmart' ),
	esc_html__( 'New size guide', 'woodmart' ),
	esc_html__( 'Edit size guide', 'woodmart' ),
	esc_html__( 'View size guide', 'woodmart' ),
	esc_html__( 'All size guides', 'woodmart' ),
	esc_html__( 'Search size guides', 'woodmart' ),
	esc_html__( 'No size guides found.', 'woodmart' ),
	esc_html__( 'No size guides found in trash.', 'woodmart' ),
	esc_html__( 'woodmart_size_guide', 'woodmart' ),
	esc_html__( 'Size guide to place in your products', 'woodmart' ),
	esc_html__( 'HTML Blocks', 'woodmart' ),
	esc_html__( 'HTML Block', 'woodmart' ),
	esc_html__( 'HTML Blocks', 'woodmart' ),
	esc_html__( 'CMS Blocks for custom HTML to place in your pages', 'woodmart' ),
	esc_html__( 'Title', 'woodmart' ),
	esc_html__( 'Shortcode', 'woodmart' ),	   
	esc_html__( 'Sidebar', 'woodmart' ),
	esc_html__( 'Sidebars', 'woodmart' ),
	esc_html__( 'You can create additional custom sidebar and use them in Visual Composer', 'woodmart' ),
	esc_html__( 'Portfolio', 'woodmart' ),
	esc_html__( 'Project', 'woodmart' ),
	esc_html__( 'Projects', 'woodmart' ),
	esc_html__( 'Project Categories', 'woodmart' ),
	esc_html__( 'Project Category', 'woodmart' ),
	esc_html__( 'Search Categories', 'woodmart' ),
	esc_html__( 'Popular Project Categories', 'woodmart' ),
	esc_html__( 'All Project Categories', 'woodmart' ),
	esc_html__( 'Parent Category', 'woodmart' ),
	esc_html__( 'Parent Category', 'woodmart' ),
	esc_html__( 'Edit Category', 'woodmart' ),
	esc_html__( 'Update Category', 'woodmart' ),
	esc_html__( 'Add New Category', 'woodmart' ),
	esc_html__( 'New Category', 'woodmart' ),
	esc_html__( 'Add or remove Categories', 'woodmart' ),
	esc_html__( 'Choose from most used text-domain', 'woodmart' ),
	esc_html__( 'Category', 'woodmart' ),
	esc_html__( 'Categories', 'woodmart' ),
	esc_html__( 'Product 360 View Gallery (optional)', 'woodmart' ),
	esc_html__( 'HTML Block categories', 'woodmart' ),
	esc_html__( 'HTML Block category', 'woodmart' ),
	esc_html__( 'Search categories', 'woodmart' ),
	esc_html__( 'Popular categories', 'woodmart' ),
	esc_html__( 'All categories', 'woodmart' ),
	esc_html__( 'Parent category', 'woodmart' ),
	esc_html__( 'Edit category', 'woodmart' ),
	esc_html__( 'Update category', 'woodmart' ),
	esc_html__( 'Add New category', 'woodmart' ),
	esc_html__( 'New category', 'woodmart' ),
	esc_html__( 'Add or remove categories', 'woodmart' ),
	esc_html__( 'Choose from most used', 'woodmart' ),
	esc_html__( 'Category', 'woodmart' ),
	esc_html__( 'Create/modify size guide table', 'woodmart' ),
	esc_html__( 'Choose product categories', 'woodmart' ),
);